Home > News content

Firefox is too complex to package OpenBSD stable will no longer receive updates

via:开源中国     time:2020/1/12 9:30:38     readed:114

OpenBSDdeclare, because of the dependency of cbindgen and rust, Firefox is too complex to package on a stable branch, and doing so will require testing all rust users. Therefore, OpenBSD 6.6 stable branch will not receive updates from WWW / Mozilla Firefox.

Firefox 72 was just released a few days ago, and the day after it was released, Mozilla targeted a critical vulnerabilityMFSA2020-03Emergency repairs were carried out and Firefox version 72.0.1 was released. OpenBSD 6.6's inability to receive Firefox updates means users are still vulnerable to vulnerabilities.

on the other hand, openbsd indicates that firefox-esr is still updating normally, and it is recommended that users running the 6.6 stable version switch to firefox-esr. The Firefox ESR, or Extended Support Edition, is a formal version of Firefox developed specifically for large institutions such as universities or companies that help these organizations deploy and maintain Firefox on a large scale.

If OpenBSD6.5 is still running, it should be upgraded to OpenBSD6.6 first. The version, released in October 2019, is currently the latest stable version.

OpenBSD current users are not affected, and the WWW / Mozilla Firefox update has been submitted and will be available on the mirror soon.

China IT News APP

Download China IT News APP

Please rate this news

The average score will be displayed after you score.

Post comment

Do not see clearly? Click for a new code.

User comments